SbFifo Class Reference

## Public Member Functions

void | assign (void *ptr, uint32_t type)
void | retrieve (void *&ptr, uint32_t &type)
SbBool | tryRetrieve (void *&ptr, uint32_t &type)
unsigned int | size (void) const
void | lock (void) const
void | unlock (void) const
SbBool | peek (void *&item, uint32_t &type) const
SbBool | contains (void *item) const
SbBool | reclaim (void *item)

The documentation for this class was generated from the following file:

- SbFifo.h